mksysinfo: actually use modified Statfs_t value

Change-Id: Ia4c05b4a2afcf9e3bb216d7ca9682fcab3ea0d44
Reviewed-on: https://go-review.googlesource.com/c/gofrontend/+/165737
Reviewed-by: Ian Lance Taylor <iant@golang.org>
diff --git a/libgo/mksysinfo.sh b/libgo/mksysinfo.sh
index e0ae30f..418ba2c 100755
--- a/libgo/mksysinfo.sh
+++ b/libgo/mksysinfo.sh
@@ -1115,14 +1115,13 @@
 # Prefer largefile variant if available.
 # CentOS 5 does not have f_flags, so pull from f_spare.
 statfs=`grep '^type _statfs64 ' gen-sysinfo.go || true`
+if test "$statfs" == ""; then
+  statfs=`grep '^type _statfs ' gen-sysinfo.go || true`
+fi
 if ! echo "$statfs" | grep f_flags; then
   statfs=`echo "$statfs" | sed -e 's/f_spare \[4+1\]\([^ ;]*\)/f_flags \1; f_spare [3+1]\1/'`
 fi
-if test "$statfs" != ""; then
-  grep '^type _statfs64 ' gen-sysinfo.go
-else
-  grep '^type _statfs ' gen-sysinfo.go
-fi | sed -e 's/type _statfs64/type Statfs_t/' \
+echo "$statfs" | sed -e 's/type _statfs64/type Statfs_t/' \
 	 -e 's/type _statfs/type Statfs_t/' \
 	 -e 's/f_type/Type/' \
 	 -e 's/f_bsize/Bsize/' \